Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

Apache Build Fails (Add --with-imap-ssl)

Discussion in 'EasyApache' started by challgren, Aug 8, 2005.

  1. challgren

    challgren Member

    Joined:
    Sep 7, 2003
    Messages:
    16
    Likes Received:
    1
    Trophy Points:
    153
    Location:
    Austin, TX
    cPanel Access Level:
    DataCenter Provider
    I try to rebuild apache and upgrade to PHP 5.0.4 and I get the following output from cPanel.


    Code:
    Building Apache Config.....Done
    Downloading and compiling apache+modules....
    
    
    Verifying archive integrity... All good.
    Uncompressing buildapache.............................................................................................................................
    Verifying compiler and libs....Sync Source: http://httpupdate.cpanel.net/RELEASE-FREEBSD/scripts
    Fetching http://httpupdate.cpanel.net/cpanelsync/RELEASE-FREEBSD/scripts/.cpanelsync.lock....Trying httpupdate.cpanel.net @ 69.72.164.151
    100%......Done
    Fetching http://httpupdate.cpanel.net/cpanelsync/RELEASE-FREEBSD/scripts/.cpanelsync.bz2....Trying httpupdate.cpanel.net @ 69.90.250.35
    35%...71%...100%......Done
    Verifying installation....Using package directory: packages-5.3-release
    Using package directory: packages-5.3-release [B](repeats numerous times)[/B]
    Done
    Done
    ********************************
    This is buildapache version 10.4.0
    ********************************
    buildapache configured from Web Host Manager
    Apache configured from Web Host Manager!
    Untarring expat...Done
    
    configure expat-1.95.6...(--prefix=/usr).... . . . . . . . . . . Done 
    
    make -j 1 expat-1.95.6....... . . . . . . . . . . . . . . . . . . . . . . . . . . Done 
    
    make expat-1.95.6...(install).... Done 
    Untarring apache....
    Suexec Standard Patch
    Suexec MailMan Patch
    Fileprotect Suexec Standard Patch
    HTTPS var Standard Patch
    
    configure apache_1.3.33...(--enable-shared=max).... . . . . . . . Done 
    Untarring modssl....
    
    configure mod_ssl-2.8.22-1.3.33...(--with-apache=../apache_1.3.33 --with-ssl=/usr --add-module=../mod_frontpage.c --enable-module=rewrite --enable-shared=rewrite --enable-suexec --suexec-logfile=/usr/local/apache/logs/suexec_log --suexec-caller=nobody --suexec-uidmin=100 --suexec-gidmin=100 --suexec-docroot=/ --suexec-userdir=public_html).... . . . . . . . . . . . . . . . Done 
    
    configure apache_1.3.33...(--enable-module=ssl --add-module=../mod_frontpage.c --enable-module=rewrite --enable-shared=rewrite --enable-suexec --suexec-logfile=/usr/local/apache/logs/suexec_log --suexec-caller=nobody --suexec-uidmin=100 --suexec-gidmin=100 --suexec-docroot=/ --suexec-userdir=public_html).... . . . . . . . . Done 
    
    make -j 1 apache_1.3.33....... . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . Done 
    
    make apache_1.3.33...(install).... . . . . Done 
    /usr/local/etc/rc.d/030httpd.sh start: httpd could not be started
    Setting /home permissions to 0711......Done
    Setting permissions for.....nobody...proftpd...cpanel...ftp...mailman...fantasti...isp4chea...artsinna...awesomec...admin...demo...gregf...billing...homestar...multi...questess...stuart...whitedog...wor...chrish...complex...bb...krislynn...phalcon...hertelsb...seeingin...clamav...daphyn......Done
    Untarring mod_gzip....Done
    
    make -j 1 mod_gzip-1.3.26.1a....... . Done 
    
    make mod_gzip-1.3.26.1a...(install).... Done 
    Untarring mcryptDone
    
    configure libmcrypt-2.5.7...(--prefix=/usr --disable-posix-threads).... . . . . . . . . . . . . . . . . . Done 
    
    make -j 1 libmcrypt-2.5.7....... . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . Done 
    
    make libmcrypt-2.5.7...(install).... . Done 
    Untarring mhashDone
    
    configure mhash-0.8.18...(--prefix=/usr).... . . . . . . . . . . . . . . . . Done 
    
    make -j 1 mhash-0.8.18....... . . . . . . . . . . . . . . . . . . . . . . . . Done 
    
    make mhash-0.8.18...(install).... Done 
    
    configure libxml2-2.6.11...(--prefix=/usr).... . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . Done 
    
    make -j 1 libxml2-2.6.11....... Done 
    1 error
    
    make libxml2-2.6.11...(install).... . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . Done 
    
    configure libxslt-1.1.8...(--prefix=/usr).... . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . Done 
    
    make -j 1 libxslt-1.1.8....... . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . Done 
    
    make libxslt-1.1.8...(install).... . . . . Done 
    zziplib is installed
    Untarring curl......Done
    
    configure curl-7.12.0...(--prefix=/usr).... . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . Done 
    
    make -j 1 curl-7.12.0....... . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . Done 
    
    make curl-7.12.0...(install).... . . . Done 
    Untarring ming...Done
    
    make -j 1 ming-0.3beta1....... Done 
    make: fatal errors encountered -- cannot continue
    
    make ming-0.3beta1...(install).... Done 
    make: fatal errors encountered -- cannot continue
    Untarring imap....cclient is installed
    imap-uw is installed
    gettext is installed
    Untarring php....Done
    
    configure php-5.0.4...(--with-apxs=/usr/local/apache/bin/apxs --with-xml --enable-bcmath --enable-calendar --with-curl --with-dom --with-dom-xslt --with-dom-exslt --enable-exif --enable-ftp --with-gd --with-jpeg-dir=/usr/local --with-png-dir=/usr --with-xpm-dir=/usr/X11R6 --with-gettext --with-imap --enable-mbstring --enable-mbstr-enc-trans --enable-mbregex --with-mcrypt --with-mhash --with-ming=../ming-0.2a --enable-magic-quotes --with-mysql=/usr/local --with-openssl --enable-discard-path --with-pear --enable-sockets --enable-track-vars --with-ttf --with-freetype-dir=/usr/local --enable-gd-native-ttf --enable-versioning --enable-wddx --with-xmlrpc --with-zip --with-zlib).... . . . . . . . . . . . . . . . . . . . . . . . . . . . Done 
    configure: error: This c-client library is built with SSL support. 
    
          Add --with-imap-ssl to your configure line. Check config.log for details.
          
    
    make -j 1 php-5.0.4...(clean).... Done 
    
    make -j 1 php-5.0.4....... Done 
    
    make php-5.0.4...(install).... Done 
    /usr/local/etc/rc.d/030httpd.sh start: httpd could not be started
    
    configure php-5.0.4...(--prefix=/usr --with-xml --enable-bcmath --enable-calendar --with-curl --with-dom --with-dom-xslt --with-dom-exslt --enable-exif --enable-ftp --with-gd --with-jpeg-dir=/usr/local --with-png-dir=/usr --with-xpm-dir=/usr/X11R6 --with-gettext --with-imap --enable-mbstring --enable-mbstr-enc-trans --enable-mbregex --with-mcrypt --with-mhash --with-ming=../ming-0.2a --enable-magic-quotes --with-mysql=/usr/local --with-openssl --enable-discard-path --with-pear --enable-sockets --enable-track-vars --with-ttf --with-freetype-dir=/usr/local --enable-gd-native-ttf --enable-versioning --enable-wddx --with-xmlrpc --with-zip --with-zlib).... . . . . . . . . . . . . . . . . . . . . . . . . Done 
    configure: error: This c-client library is built with SSL support. 
    
          Add --with-imap-ssl to your configure line. Check config.log for details.
          
    
    make -j 1 php-5.0.4...(clean).... Done 
    
    make -j 1 php-5.0.4....... Done 
    
    make php-5.0.4...(install).... Done 
    initfpsuexec: using apache 1.x support
    PHP version file is up to date
    Executing /scripts/postbuildapache (if exists)...Done
    /usr/local/etc/rc.d/030httpd.sh start: httpd could not be started
        Attempting to restart httpd  
    Waiting for httpd to restart....
    .
    .
    .
    .
    .
    .
    .
    .
    .
    .
    finished.
    
    
        httpd status  
            
    
    httpd has failed, please contact the sysadmin.
    Build Complete
    
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  2. rachweb

    rachweb Well-Known Member

    Joined:
    Jun 26, 2004
    Messages:
    268
    Likes Received:
    0
    Trophy Points:
    166
    Location:
    amsterdam
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice